Subject: Re: Accessing serial port.
From: "Suhaib M. Siddiqi" <[email-masked]>
To: [email-masked]
Date: Thu, 05 Aug 1999 16:17:51 -0400

Chris Faylor wrote:
> 
> On Thu, Aug 05, 1999 at 03:32:30PM -0400, Suhaib M. Siddiqi wrote:
> >I think for serial only might be possible.  In my case, I need more
> >then /dev/com1.  I did try /dev/com1 on Windows NT and it was crashing,
> >at least my code, with privilaged_access_violation.
> 
> That would be one of those cases where you run gdb to find out *why*
> it's crashing.
> 
> Cygwin has code for supporting things like /dev/null, /dev/tty, /dev/com1,
> and other things.  There is nothing magic about any of it.  It all gets
> translated into normal Windows API calls eventually.
> 
> It's certainly possible that there is something wrong somewhere in
> cygwin with the handling of /dev/com1 but since this functionality is heavily
> used by our gdb customers it's unlikely that there is something trivially
> wrong with the emulation.
> 
> cgf

I also do not think /dev/com1 is the real problem.  The problem
is the X11 server code, which read/writes to /dev/mem and /dev/iopl
after accessing each device.  
until I get this part straighten out, it is difficult to trace
and fix other problems in x11 code.
Is there any possibility of adding /dev/mem to Cygwin?  I know, as
you mentioned in one of your message, it might slow the application.

Another note, unrealted to this issue:- which relates to Sergey's latest
AF_UNIX diff file.  Out of curiousity I applied his AF_UNIX.diff file to
the lastest Winsup snapshot.  Build goes OK, but  applications linked
against the cygwin1.dll  (with Sergey's AF_UNIX patch) does not
execute.  It gives error, "Application failed to initialized".

Sorry for two different subjects in one message... 

Suhaib

--
Want to unsubscribe from this list?
Send a message to [email-masked]